# Stand Alone Aspire Connector wrapper
Standalone java program for running Aspire Connectors without Aspire

### Prerequisites
- Register into the Search Technologies Maven Repository [here](http://aspire.searchtechnologies.com/app/#/home) 
- Install Java Development Kit 8 
- [Install Maven and Configure Search Technologies Repository](https://search-tech.atlassian.net/wiki/display/aspire30/Install+and+Configure+Maven)

### Get the project
```
$ git clone https://github.com/searchtechnologies/aspire-connector-wrapper.git
```

### Compile the project
```
$ mvn clean package
```

### Modify the config/filesystem.xml test configuration
Modify it so the "url" field points to a folder in your local filesystem with files to process with the [Aspire File System Connector](https://search-tech.atlassian.net/wiki/display/aspire30/File+System+Connector)

### Run a crawl
```
$ java -jar target/aspire-connector-wrapper-0.0.1-SNAPSHOT.jar config/filesystem.xml
```
